| 0.9.9 API documenation

Functions
exponential.hpp File Reference

Go to the source code of this file.

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | exp (vec< L, T, Q > const &v)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | exp2 (vec< L, T, Q > const &v)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | inversesqrt (vec< L, T, Q > const &v)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | log (vec< L, T, Q > const &v)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | log2 (vec< L, T, Q > const &v)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | pow (vec< L, T, Q > const &base, vec< L, T, Q > const &exponent)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | sqrt (vec< L, T, Q > const &v)

## Detailed Description

Core features

See also
  GLSL 4.20.8 specification, section 8.2 Exponential Functions

Definition in file exponential.hpp.